%define upstream_version 2011-03-R2

Name:		kismet
Version:	2011.03.R2
Release:	%mkrel 4
Summary:	802.11b/g network sniffer and network dissector
Group:		Networking/Other
License:	GPLv2+
Url:		http://www.kismetwireless.net
Source0:	http://www.kismetwireless.net/code/%{name}-%{upstream_version}.tar.gz
BuildRequires:	libncurses-devel 
BuildRequires:	libpcap-devel
BuildRequires:	imagemagick-devel
BuildRequires:	wget
BuildRequires:	flex 
BuildRequires:	bison
BuildRequires:	gpsd-devel
BuildRequires:	gmp-devel
BuildRequires:	expat-devel
BuildRequires:	libnl3-devel
BuildRequires:	libbluez-devel
BuildRequires:	openssl-devel

%description
Kismet is an 802.11b/g network sniffer and network dissector. It is
capable of sniffing using most wireless cards, automatic network IP
block detection via UDP, ARP, and DHCP packets, Cisco equipment lists
via Cisco Discovery Protocol, weak cryptographic packet logging, and
Ethereal and tcpdump compatible packet dump files. It also includes
the ability to plot detected networks and estimated network ranges on
downloaded maps or user supplied image files.

%prep
%setup -q -n %name-%upstream_version

perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(INSTGRP\)//' Makefile.in
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(MANGRP\)//' Makefile.in

%build
%configure2_5x

%make


%install
rm -rf %buildroot
%makeinstall_std
#export KIS_SRC_DIR so plugins find kismet headers
export KIS_SRC_DIR=%_builddir/%name-%upstream_version

mkdir -p %buildroot%_libdir/%name

cd plugin-autowep
%make
install *.so %buildroot%_libdir/%name
cd ..

cd plugin-ptw
%make
install *.so %buildroot%_libdir/%name
cd ..

# gives unresolved symbols on plugin load
#cd plugin-btscan
#%%make
#install *.so %%buildroot%%_libdir/%%name
#cd ..

# gives unresolved symbols  on plugin load
#cd plugin-spectools
#%%make
#install *.so %%buildroot%%_libdir/%%name
#cd ..

#add write permission for all binaries to make stripping work
chmod u+w %buildroot%_bindir/*

%post
if [ -f %_sysconfdir/kismet.conf ] ;
then
	if ! grep -q -e "^piddir="  %_sysconfdir/kismet.conf 
	then 
		echo "piddir=/var/run/" >> %_sysconfdir/kismet.conf
	fi
fi

%files
%defattr(-,root,root)
%doc CHANGELOG GPL README RELEASENOTES.txt
%doc docs/DEVEL.* docs/README.*
%config(noreplace) %_sysconfdir/kismet.conf
%config(noreplace) %_sysconfdir/kismet_drone.conf
%_bindir/*
%_libdir/%name
%_datadir/%name
%_mandir/man1/*
%_mandir/man5/*

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2011.03.R2-4.mga3
+ Revision: 356249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 tmb <tmb> 2011.03.R2-3.mga3
+ Revision: 225013
- build against libnl3

  + doktor5000 <doktor5000>
    - fix order of options in sed call in %%post

* Wed Aug 31 2011 doktor5000 <doktor5000> 2011.03.R2-1.mga2
+ Revision: 137314
- new version 2011-03-R2, switching to Newcore
- change versioning scheme to represent upstream versioning
- build additional plugins autowep and ptw, enabling aircrack integration
- remove unused BuildRequire glib-devel
- removed obsolete README.Mandriva
- fix license to GPLv2+
- drop obsolete fix.h header
- drop obsolete patches
- imported package kismet

